nxt

## Class DigitalGoodsStore.Tag

- java.lang.Object
- - nxt.DigitalGoodsStore.Tag

- Enclosing class:
    DigitalGoodsStore

      public static final class DigitalGoodsStore.Tag
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DbIterator<DigitalGoodsStore.Tag>` | `getAllTags(int from, int to)`
    `static int` | `getCount()`
    `static int` | `getCountInStock()`
    `int` | `getInStockCount()`
    `static DbIterator<DigitalGoodsStore.Tag>` | `getInStockTags(int from, int to)`
    `java.lang.String` | `getTag()`
    `static DbIterator<DigitalGoodsStore.Tag>` | `getTagsLike(java.lang.String prefix, boolean inStockOnly, int from, int to)`
    `int` | `getTotalCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCount

          public static int getCount()

    - #### getCountInStock

          public static int getCountInStock()

    - #### getAllTags

          public static DbIterator<DigitalGoodsStore.Tag> getAllTags(int from,
                                                                     int to)

    - #### getInStockTags

          public static DbIterator<DigitalGoodsStore.Tag> getInStockTags(int from,
                                                                         int to)

    - #### getTagsLike

          public static DbIterator<DigitalGoodsStore.Tag> getTagsLike(java.lang.String prefix,
                                                                      boolean inStockOnly,
                                                                      int from,
                                                                      int to)

    - #### getTag

          public java.lang.String getTag()

    - #### getInStockCount

          public int getInStockCount()

    - #### getTotalCount

          public int getTotalCount()